Bug 4778 - [UPDATE REQUEST] nvidia340 340.65
: [UPDATE REQUEST] nvidia340 340.65
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-09 20:59 MSK by Eugene Shatokhin
Modified: 2014-12-11 12:09 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-12-09 20:59:34 MSK
nvidia340 was updated to version 340.65.
Comment 1 Eugene Shatokhin 2014-12-09 21:03:09 MSK
Advisory:
The 340.x branch of the proprietary graphics drivers by NVidia was updated to version 340.65.
Most significant changes:
* Improved compatibility with recent Linux kernels.
* Fixed a regression that caused displays to be detected incorrectly on some notebook systems.
* Fixed a bug that prevented internal 4K panels on some laptops from being driven at a sufficient bandwidth to support their native resolutions.
* Fixed a regression that prevented the NVIDIA kernel module from loading in some virtualized environments such as Amazon Web Services.
* Fixed a bug that could cause X to freeze when using Base Mosaic.
* Fixed a regression that prevented the NVIDIA X driver from recognizing Base Mosaic layouts generated by the nvidia-settings control panel.
* Added support for X.Org xserver ABI 19 (xorg-server 1.17).

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2364369
x86_64:
https://abf.rosalinux.ru/build_lists/2364370
Comment 2 Eugene Shatokhin 2014-12-10 12:03:36 MSK
GeForce GTX 480 on our test rack - OK
x64: http://hw.rosalinux.ru/index.php?probe=a66da71b91
x32: http://hw.rosalinux.ru/index.php?probe=1345836720
Comment 3 Dmitry 2014-12-10 14:19:15 MSK
Should be published ASAP. It fixes graphics on ThinkPad T420.
Comment 4 Andrey Ponomarenko 2014-12-10 16:14:46 MSK
ASUS X71SL + NVIDIA 340.65 Ok: http://hw.rosalinux.ru/index.php?probe=2bfe42c8d0

NVIDIA G98M [GeForce 9300M GS]

glxgears: 2031 FPS
Comment 5 symbianflo 2014-12-11 00:58:00 MSK
exept this:
http://lists.rosalab.ru/mailman/private/rosa-devel/2014-December/006964.html

6357 frames in 5.0 seconds = 1271.302 FPS
6199 frames in 5.0 seconds = 1239.726 FPS

http://hw.rosalinux.ru/index.php?probe=6d50e08ac5


I guess is only mine ..hopfully nobody else have those segfaults.
Comment 6 Vladimir Potapov 2014-12-11 10:35:09 MSK
nvidia340-340.65-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2364369/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2364370/x86_64/non-free/release/
***************************** Advisory **************************
The 340.x branch of the proprietary graphics drivers by NVidia was updated to version 340.65.
**************************** Changelog **************************
The 340.x branch of the proprietary graphics drivers by NVidia was updated to version 340.65.
Most significant changes:
* Improved compatibility with recent Linux kernels.
* Fixed a regression that caused displays to be detected incorrectly on some notebook systems.
* Fixed a bug that prevented internal 4K panels on some laptops from being driven at a sufficient bandwidth to support their native resolutions.
* Fixed a regression that prevented the NVIDIA kernel module from loading in some virtualized environments such as Amazon Web Services.
* Fixed a bug that could cause X to freeze when using Base Mosaic.
* Fixed a regression that prevented the NVIDIA X driver from recognizing Base Mosaic layouts generated by the nvidia-settings control panel.
* Added support for X.Org xserver ABI 19 (xorg-server 1.17).
*****************************************************************
QA Verified